Subject: [Last-Call] Opsdir last call review of draft-ietf-6man-spring-srv6-oam-10

From: Dan Romascanu via Datatracker <[email-masked]>
Date: Fri, 09 Apr 2021 09:24:52 -0700

Reviewer: Dan Romascanu
Review result: Ready

I apologize for the late review.

This document describes OAM for SRv6 networks. For this purpose it describes an
OAM enhancement - the OAM flag in the Segment Routing Header (SRH) - for
performing controllable and predictable flow sampling from segment endpoints.
It also shows how the existing IPv6 mechanisms for ping and traceroute can be
used in an SRv6 network and how a centralized monitoring system performs a path
continuity check between any nodes within an SRv6 domain.

The document is useful, well written and Ready from an OPS perspective.

Operators should pay special attention to Section 2 which defines the OAM
extensions for SRv6 networks and Section 3 which shows how existing OAM
mechanisms can be used in SRv6 networks.

As a nit, I found the naming of Section 3 ('Illustrations') somehow
misleading.I suggest considering another name, more appropriate to the content
(usage of existing OAM mechanisms in SRv6 networks).